/*************** <lalVerbatim file="CorrelationHV"> ****************
Author: Yakushin, Igor
$Id: Correlation.h,v 1.1 2002/09/11 20:29:17 jolien Exp $
**************** </lalVerbatim> *************************************/

#ifndef _CORRELATION_H
#define _CORRELATION_H

#include <lal/LALRCSID.h>
#include <LALWrapperInterface.h>
#include <lal/LALCorrelation.h>

NRCSID(CORRELATIONH,"$Id");

#define MAX_NAME_LENGTH 256

/*************** <lalErrTable file="CorrelationHErrTab"> ***********/

#define CORRELATIONH_ENULL 1
#define CORRELATIONH_MSGENULL "Null pointer."
#define CORRELATIONH_ENSEQ 2
#define CORRELATIONH_MSGENSEQ "Number of sequences is not 2"
#define CORRELATIONH_EUNITS 3
#define CORRELATIONH_MSGEUNITS "Inconsistent units"
#define CORRELATIONH_ETYPES 4
#define CORRELATIONH_MSGETYPES "Inconsistent types"
#define CORRELATIONH_ESPACES 5
#define CORRELATIONH_MSGESPACES "Inconsistent spaces"
#define CORRELATIONH_EDIMS 6
#define CORRELATIONH_MSGEDIMS "Inconsistent dimensions"
#define CORRELATIONH_ESTARTS 7
#define CORRELATIONH_MSGESTARTS "Inconsistent startTimeSec"
#define CORRELATIONH_ESTARTN 8
#define CORRELATIONH_MSGESTARTN "Inconsistent startTimeNan"
#define CORRELATIONH_ESTOPS 9
#define CORRELATIONH_MSGESTOPS "Inconsistent stopTimeSec"
#define CORRELATIONH_ESTOPN 10
#define CORRELATIONH_MSGESTOPN "Inconsistent stopTimeNan"
#define CORRELATIONH_ETIMESTEP 11
#define CORRELATIONH_MSGETIMESTEP "Inconsistent timeStepSize"

/*************** </lalErrTable> ************************************/

/**** <lalLaTeX>
 * \section{Header \texttt{Correlation.h}}
 * \subsection*{Error conditions}
 * \input{CorrelationHErrTab}
 * \vfill{\footnotesize\input{CorrelationHV}}
 * \newpage\input{CorrelationC}
 **** </lalLaTeX> */

typedef struct 
tagCorrelationParamsLW
{
  CorrelationParams *params;
  InputCorrelation *input;
  OutputCorrelation *output;
  CHAR nameOne[MAX_NAME_LENGTH];
  CHAR nameTwo[MAX_NAME_LENGTH];
  REAL4 threshold;
  INT4 ncalls;
  
} CorrelationParamsLW;

#endif /* _CORRELATIONH */
